#ifndef SETTINGSDIALOGOUTPUT_H
#define SETTINGSDIALOGOUTPUT_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"

// Bote de dialogue CSettingsDialogOutput

class CSettingsDialogOutput : public CPropertyPage {
        DECLARE_DYNAMIC(CSettingsDialogOutput)

    public:
        CSettingsDialogOutput();
        virtual ~CSettingsDialogOutput();

        //Flag indiquant seulement une mise  jour de la slection
        bool updateOnly;

        CButtonXP m_btnConfiguration;
        CButtonXP m_btnAbout;
        CButtonXP m_btnLoad;
        CButtonXP m_btnUnload;
        CListBox m_ListOutput;
        CSpinButtonCtrl m_Spin;

        int m_current;

    protected:
        afx_msg void OnOK();
        virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
        afx_msg BOOL OnInitDialog();

        DECLARE_MESSAGE_MAP()
        DECLARE_MENUXP()
    public:
        afx_msg void OnBnClickedConfig();
        afx_msg void OnBnClickedAbout();
        afx_msg void OnBnClickedLoad();
        afx_msg void OnBnClickedUnload();
        afx_msg void OnSpinChange();
        afx_msg void OnInitList();
        afx_msg void OnListChange();
};

#endif
