// UrlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"   	// main symbols
#include "systrayplay.h"
#include "UrlDlg.h"
#include "MainWnd.h"
#include "MainHelper.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUrlDlg dialog


CUrlDlg::CUrlDlg(UINT id, CWnd* pParent /*=NULL*/) : CDialog(id, pParent)
{
	m_URL = _T("");
}

IMPLEMENT_MENUXP(CUrlDlg, CDialog)

BEGIN_MESSAGE_MAP(CUrlDlg, CDialog)
ON_MENUXP_MESSAGES()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUrlDlg message handlers

void CUrlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_URL_EDIT, m_URL);
	DDX_Control(pDX, IDCANCEL, m_btn_Cancel);
	DDX_Control(pDX, IDOK, m_btn_Ok);
}

BOOL CUrlDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_Helper.translateWindowText(this, IDD_ENTER_URL_DIALOG);
	m_Helper.translateDlgItemText(this, IDC_LURL);
	m_Helper.translateDlgItemText(this, IDOK);
	m_Helper.translateDlgItemText(this, IDCANCEL);


	m_URL = "http://adsl.rockone.fr:6005";
	//m_URL = "dvd://d,2";
	UpdateData(false);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
